gio.Emblem
Prev | PyGio Class Reference | Next

## gio.Emblem

gio.Emblem — An object for emblems.

## Synopsis

    class gio.Emblem(gobject.GObject, gio.Icon):
        gio.Emblem(icon, origin=gio.EMBLEM_ORIGIN_UNKNOWN)
        def get_icon()
        def get_origin()

    Functions

        def gio.emblem_new_with_origin(icon, origin)

## Ancestry

    +-- gobject.GObject
      +-- gio.Emblem

## Implemented Interfaces

`gio.Emblem` implements `gio.Icon`

## gio.Emblem Properties

"icon" | Read - Write - Construct Only | The actual icon of the emblem.
"origin" | Read - Write - Construct Only | Tells which origin the emblem is derived from.

## Description

The `gio.Emblem` class is an implementation of `gio.Icon` that supports having an emblem, which is an icon with additional properties. It can then be added to a `gio.EmblemedIcon`.

Currently, only metainformation about the emblem's origin is supported. More may be added in the future.

## Constructor

        gio.Emblem(icon, origin=gio.EMBLEM_ORIGIN_UNKNOWN)

`icon` : | a `gio.Icon` containing the icon.
`origin` : | origin of the emblem.
Returns : | a new `gio.Emblem`.

### Note

Parameter `origin` is available since PyGObject 2.20.

Creates a new `gio.Emblem` for icon.

## Methods

### gio.Emblem.get_icon

        def get_icon()

Returns : | a `gio.Icon`.

The `get_icon`() method gives back the icon from emblem.

### gio.Emblem.get_origin

        def get_origin()

Returns : | the origin of the emblem.

The `get_origin`() method gets the origin of the emblem.

## Functions

### gio.emblem_new_with_origin

        def emblem_new_with_origin(icon, origin)

`origin` : | a Gio Emblem Origin Constants defining the emblem's origin.
Returns : | A `gio.Emblem`.

### Note

While this method is not deprecated, with 2.20 and up it is recommended to use the constructor instead.

The `emblem_new_with_origin`() function creates a new emblem for icon.

Prev | Up | Next
gio.Drive | Home | gio.EmblemedIcon